package com.ajc.esim.gui;

import javax.swing.InputVerifier;
import javax.swing.JComponent;
import javax.swing.text.JTextComponent;

/**
 * DOCUMENT ME!
 */
public class DoubleVerifier extends InputVerifier {
	/**
	 * For JTextComponent
	 * 
	 * @param arg0
	 *            JTextComponent to be verified
	 * 
	 * @return true if text passes verification, false otherwise
	 */
	@Override
	public boolean verify(JComponent arg0) {
		String text = ((JTextComponent) arg0).getText();

		if (text.equals("")) {
			return false;
		}

		try {
			Double.parseDouble(text);
		} catch (NumberFormatException e) {
			return false;
		}

		return true;
	}
}
