package com.ajc.esim.gui.printing;

import java.awt.print.PageFormat;

import javax.print.DocPrintJob;
import javax.print.PrintException;
import javax.print.PrintService;
import javax.print.PrintServiceLookup;

/**
 * Created on May 1, 2005 Updated on May 1, 2005
 */
public class APrintJob {
	public DocPrintJob pJob = null;

	public EFDoc pObj = null;

	public PageFormat pF = null;

	/**
	 * Creates a new APrintJob object.
	 */
	public APrintJob() {
		pObj = new EFDoc(5);
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public boolean Print() {
		if ((pJob == null) || (pObj == null)) {
			System.out.println("Yeah..its broken..." + pJob);

			return false;
		}

		try {
			pJob.print(pObj.getDoc(), pObj.getAset());
		} catch (PrintException e) {
			e.printStackTrace();

			return false;
		}

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param pNum
	 *            DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public boolean createPrintJob(int pNum) {
		PrintService[] pservices = this.getPrinterList();

		if (pservices != null) {
			this.pJob = pservices[pNum].createPrintJob();

			return true;
		}

		return false;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public PrintService[] getPrinterList() {
		PrintService[] pservices = PrintServiceLookup.lookupPrintServices(pObj
				.getDocFlavor(), pObj.getAset());

		if (pservices.length > 0) {
			return pservices;
		}

		return null;
	}
}
